Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1267464 - quota: restrict creating hard-links across quota limit directories
Summary: quota: restrict creating hard-links across quota limit directories
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: GlusterFS
Classification: Community
Component: quota
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Manikandan
QA Contact:
URL:
Whiteboard:
Depends On: 1265197
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-30 06:40 UTC by Manikandan
Modified: 2016-09-20 04:28 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1265197
Environment:
Last Closed: 2015-10-07 09:05:57 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Comment 1 Manikandan 2015-10-07 09:05:57 UTC
This cannot be implemented in the current quota design:
Consider below scenario

Case-1)
a) below data with hard-links pre-exists
   /d1/f1
   /d2/f1
b) Set quota limit on /d1 and /d2
c) Now when creating hard-link /d1/f1 /d1/f2 can fail
   As we do fetch the inode_parent of f1 (f1's parent can be /d1 or /d2 in the
   dentry list)

Case-2)
a) Set quota limit on /d1 and /d2
b) create file /d1/f1 and link /d1/f2
c) rename /d1/f2 /d2/f2
d) Now when creating hard-link /d1/f1 /d1/f2 can fail
   As we do fetch the inode_parent of f1 (f1's parent can be /d1 or /d2 in the
   dentry list)


So marking the bug as wontfix


Note You need to log in before you can comment on or make changes to this bug.